Bug 73209 - -fomit-frame-pointer doesn't
-fomit-frame-pointer doesn't
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-08-31 16:03 EDT by Arjan van de Ven
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-02 23:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2002-08-31 16:03:42 EDT
Description of Problem:
-fomit-frame-pointer appears not to

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. gcc -fomit-frame-pointer -S hello.c (see below)
2. emacs hello.s

Actual Results:
Frame pointer code

Expected Results:
No frame pointer code

Additional Information:

#include <stdio.h>
#include <stdlib.h>

void print()
        printf("Hello World\n");
void main()
Comment 1 Richard Henderson 2004-10-02 23:19:38 EDT
Not a bug.  -fomit-frame-pointer is a *request* to not use a frame 
pointer when that's not possible.  Since main needs to align the
stack frame, that requires a variable distance between the incomming
stack pointer and the local stack frame, and doing that requires a
frame pointer.

Note You need to log in before you can comment on or make changes to this bug.